import {Redirect, Stack} from 'expo-router';

import {ThemedText} from '@/components/ThemedText';
import {ThemedView} from '@/components/ThemedView';
import {useToken} from '@/context/AppProvider';
import React, {useEffect} from 'react';

export default async function OnboardStartScreen() {
  const {token, isLoading} = useToken();

  if (isLoading) {
    return (
      <ThemedView>
        <ThemedText>Laden...</ThemedText>
      </ThemedView>
    );
  }

  if (!token) {
    return <Redirect href="/(onboarding)/start"/>;
  }

  return <Redirect href="/(tabs)"/>;
}
